%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate fern

Name:           rust-fern
Version:        0.6.2
Release:    1%{?dist}
Summary:        Simple, efficient logging

License:        MIT
URL:            https://crates.io/crates/fern
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Simple, efficient logging.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+colored-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+colored-devel %{_description}

This package contains library source intended for building other packages which
use the "colored" feature of the "%{crate}" crate.

%files       -n %{name}+colored-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+date-based-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+date-based-devel %{_description}

This package contains library source intended for building other packages which
use the "date-based" feature of the "%{crate}" crate.

%files       -n %{name}+date-based-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+meta-logging-in-format-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+meta-logging-in-format-devel %{_description}

This package contains library source intended for building other packages which
use the "meta-logging-in-format" feature of the "%{crate}" crate.

%files       -n %{name}+meta-logging-in-format-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-1
- initial build
